DCMTK - Bug #986

File-set ID shall not contain a space character
2021-04-30 17:39 - Jorg Riesmeier

Status: Closed Start date: 2021-04-30
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 1:00 hour
Target version: 3.6.7

Module: dcmdata Compiler:

Operating System:

Description
According to DICOM PS3.10 Section 8.5 (Character Set}:

File IDs and File-set IDs shall be character strings made of characters from a subset of the GO repertoire of ISO 8859. The
following-eharacters form this subset:—

AB,C,D,E,F,GH ILJ KLMNOPQR,STUV,WX,Y,Z(uppercase)—

1,2,3,4,5,6,7,8,9,0and _ (underscore)—

Note—

1.This is the character set defined for Control Strings (Value Representation CS - see PS3.5) except that SPACE is not—
included.—

2.This character set is selected to limit characters in File IDs and File-set IDs to those that do not conflict with reserved—
characters and delimiters in the file systems defined in PS3.12. Component delimiters or other required demarcations-defined in
PS3.12 are not part of File IDs or File-set IDs—

Currently, DicomDirlnterface::checkFilesetID() does not forbid the space character (only checks for CS - Code String).

History

#1 - 2021-09-27 19:09 - Jorg Riesmeier
- Status changed from New to Closed

- Assignee set to Jérg Riesmeier

- Target version set to 3.6.7

- % Done changed from 0 to 100

- Estimated time set to 1:00 h

- Module set to decmdata

Closed by commit 903735d25.
